# -*- mode: ruby -*-
# vi: set ft=ruby :
#
BOX_BASE = "ubuntu/focal64"
RAM = "512"
CPUS = "2"
REDIS = "redis"
FLASK = "flask"

Vagrant.configure("2") do |config|
  config.vm.box = BOX_BASE
  config.vm.define FLASK do |flask|
    flask.vm.hostname = FLASK
    flask.vm.provider :virtualbox do |vb|
        vb.customize [ 'modifyvm', :id, '--memory', RAM ]
        vb.customize [ 'modifyvm', :id, '--cpus', CPUS ]
        vb.customize [ 'modifyvm', :id, '--name', FLASK ]
    end
    flask.vm.provision "shell", path: "script-flask.sh"
    flask.vm.network "private_network", ip: "192.168.56.2"
    flask.vm.network "forwarded_port", guest: 5000, host: 5000
  end
  config.vm.define REDIS do |redis|
    redis.vm.hostname = REDIS
    redis.vm.provider :virtualbox do |vb|
        vb.customize [ 'modifyvm', :id, '--memory', RAM ]
        vb.customize [ 'modifyvm', :id, '--cpus', CPUS ]
        vb.customize [ 'modifyvm', :id, '--name', REDIS ]
    end
    redis.vm.provision "shell", path: "script-redis.sh"
    redis.vm.network "private_network", ip: "192.168.56.3"
  end
end
